Adds javascript code to the FDF document

- « FDF Functions

- fdf_add_template »

- PHP Manual
- FDF Functions
- Adds javascript code to the FDF document

# fdf_add_doc_javascript

(PHP 4 >= 4.3.0, PHP 5 < 5.3.0, PECL fdf SVN)

fdf_add_doc_javascript — Adds javascript code to the FDF document

### Description

fdf_add_doc_javascript(resource `$fdf_document`, string `$script_name`, string `$script_code`): bool

Adds a script to the FDF, which Acrobat then adds to the doc-level scripts of a document, once the FDF is imported into it.

### Parameters

`fdf_document`

  The FDF document handle, returned by fdf_create(), fdf_open() or fdf_open_string().

`script_name`

  The script name.

`script_code`

  The script code. It is strongly suggested to use `\r` for linebreaks within the script code.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Adding JavaScript code to a FDF

    <?php$fdf = fdf_create();fdf_add_doc_javascript($fdf, "PlusOne", "function PlusOne(x)\r{\r  return x+1;\r}\r");fdf_save($fdf);?>

will create a FDF like this:

    %FDF-1.2
    %âãÏÓ
    1 0 obj
    <<
    /FDF << /JavaScript << /Doc [ (PlusOne)(function PlusOne\(x\)\r{\r  return x+1;\r}\r)] >> >>
    >>
    endobj
    trailer
    <<
    /Root 1 0 R

    >>
    %%EOF